﻿.pusher {
    min-height: unset;
}


#fitlerMenu {
    color: white;
    font-size: 13px;
    font-style: italic;
    font-weight: 200;
    border-bottom-color: #feffff30 !important;
    padding-bottom: 4px !important;
}


#div_Refresh_Preload.loader {
    pointer-events: none;
}


@media only screen and (max-width: 1000px) {

    .ui.label.info_btn {
        padding: 0;
        font-size: 30px !important;
        margin-bottom: 15px !important;
    }
}


@media only screen and (max-width: 600px) {

    .right.menu {
        margin-left: unset !important;
        padding-left: 0px;
    }


        .right.menu .ui.dropdown.item {
            padding: 0 7px !important;
        }



    .item.labeled.openbtn {
        padding-left: 8px;
        padding-right: 0;
    }
}


mark {
    background: rgba(var(--bs-primary)) !important;
    color: white;
}


.move-day {
    padding: 8px;
    font-size: 0 !important;
}


.lobibox-notify-wrapper.right .lobibox-notify {
    width: 300px !important;
    padding: 0 !important;
    min-height: 60px !important;
}


.prepareChangeLanguage {
    color: transparent !important;
    opacity: 0 !important;
}


.header_form_main {
    font-size: 15px !important;
    padding-top: 10px !important;
    font-family: 'Times New Roman' !important;
    margin-bottom: 0px !important;
    color: #20445e !important;
}


.header_form_child {
    /*font-family: 'Times New Roman';*/
    display: block;
    font-weight: 400;
    padding: 4px 0px 8px 0px;
    margin: 0;
    line-height: 1.2em;
    color: rgba(0,0,0,.6);
    text-align: center;
    color: #005fa7 !important;
}


.label_total_header {
    height: 39px;
    /* min-height: 30px; */
    /* width: 100%; */
    text-align: left;
    /* font-size: 12px !important; */
    padding-top: 14px !important;
    margin: 1px !important;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box !important;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    white-space: nowrap;
}


.actions {
    background-color: transparent !important;
}



.scrollx {
    overflow-x: auto;
    overflow-y: hidden;
    width: 100%;
}


.stickytable {
    overflow-y: auto !important;
}


    .stickytable table .hiddenCollapse,
    .stickytable table thead {
        position: sticky;
        z-index: 2;
        top: 0;
        background-color: aliceblue !important;
    }


        .stickytable table .hiddenCollapse th,
        .stickytable table thead tr th {
            border-top: 1px solid rgba(34,36,38,.1);
            z-index: 3;
        }


    .stickytable table tr th.fixedcol1,
    .stickytable table tr th.fixedth,
    .stickytable table tr th.fixedcol2 {
        z-index: 15 !important;
    }


    .stickytable table tr .fixedcol1,
    .stickytable table tr .fixedth {
        position: sticky !important;
        z-index: 5;
        left: 0;
        background-color: aliceblue !important;
        border-left: 1px solid rgba(34,36,38,.1);
    }


    .stickytable table tr .fixedth,
    .stickytable table tr .fixedcol2 {
        border-right: 1px solid rgba(34,36,38,.1);
        position: sticky !important;
        z-index: 5;
        left: 0;
        background: aliceblue !important;
    }


/*span._cus_ser_name {
    font-size: 13px;
    color: #0060a9;
    display: block;
    padding-bottom: 6px;
}*/

span._cus_sertype_name {
    font-size: 13px;
    color: #160044;
    /* display: block; */
    padding-bottom: 6px;
}


span._cus_sertype_unit {
    font-size: 13px;
    color: #b50000;
    padding: 4px;
}


span._cus_sertype_product {
    font-size: 13px;
    color: #00b5ad;
    padding: 4px;
}


.ui.selection.dropdown .menu {
    box-shadow: rgba(0, 0,0, 35%) 0px 5px 15px !important;
}


.ui.search.selection.dropdown .menu {
    min-width: 250px;
}


.font-small, .ui.secondary.pointing.menu .item.font-small {
    font-size: 13px !important;
}


.font-medium, .ui.secondary.pointing.menu .item.font-medium {
    font-size: 15px !important;
}


.font-large, .ui.secondary.pointing.menu .item.font-large {
    font-size: 16px !important;
}


.font-x-large, .ui.secondary.pointing.menu .item.font-x-large {
    font-size: 17px !important;
}


.font-medium.header_form_main {
    font-size: 18px !important;
}


.font-large.header_form_main {
    font-size: 19px !important;
}


.font-x-large.header_form_main {
    font-size: 20px !important;
}


/*lable header font-size*/
.label_total_header.font-medium, .label_total_header.font-large {
    padding: 7px 10px !important;
}


/*dropdown font-size*/
.dropdown.font-medium, .dropdown.font-large {
    padding: 7px 2.1em 7px 1em !important;
}


    .dropdown.font-medium .dropdown.icon, .dropdown.font-large .dropdown.icon {
        top: 7px !important
    }


    .dropdown.font-medium > input.search, .dropdown.font-large > input.search {
        padding: 7px 2.1em 7px 1em !important;
    }


    .dropdown.font-medium > .text, .dropdown.font-large > .text {
        padding-bottom: 2px !important;
        padding-top: 2px !important;
    }


    .dropdown.font-medium > .menu > .item, .dropdown.font-large > .menu > .item {
        font-size: 1em;
    }


.dropdown.multiple.font-medium > input.search, .dropdown.multiple.font-large > input.search {
    padding: 0 !important;
    margin: 0 !important;
}

/*#endregion*/


.teeth_gum_name_chart_bellow {
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    text-align: center;
}


    .teeth_gum_name_chart_bellow img {
        width: 390px;
        height: 70px;
    }


    .teeth_gum_name_chart_bellow .ui.checkbox {
        position: absolute;
        bottom: 10px;
        left: 35%;
    }

.teeth_gum_name_chart_front img {
    width: 390px;
    height: 70px;
}


@media only screen and (max-width:900px) {

    .teeth_gum_name_chart_bellow img {
        width: 235px;
        margin-top: 5px;
        height: 48px;
    }

    .teeth_gum_name_chart_front img {
        width: 235px;
        margin-top: 5px;
        height: 48px;
    }
}


.teeth_name_chart_bellow {
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    text-align: center;
    font-size: 12px;
    font-weight: 600;
}

/*.teeth_name_chart_front {
    position: absolute;
    bottom: 12px;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    text-align: center;
    font-size: 12px;
    color: #0a406c;
    font-weight: 600;
}*/
.teeth_name_chart_front {
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    text-align: center;
    font-size: 12px;
    font-weight: 600;
}


.teeth_gum_name_chart_front {
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    text-align: center;
}




    .teeth_gum_name_chart_front .ui.checkbox {
        position: absolute;
        /*left: 9px;*/
        left: 35%;
    }


.divContentteeth {
    display: flex;
    justify-content: center;
}


div.divteethFront .ui.checkbox,
div#divteethFront .ui.checkbox {
    margin: 0 1px 5px 1px;
}


div.divteethBellow .ui.checkbox,
div#divteethBellow .ui.checkbox {
    margin: 5px 1px 0 1px;
}


.divteethFront .column,
#divteethFront .column {
    padding: 0px 3px !important;
    text-align: center;
}


    .divteethFront .column img,
    #divteethFront .column img {
        min-width: 20px;
        height: 30px;
        margin: 0px !important;
    }


.divteethBellow .column,
.divteethBellow .column {
    padding: 0px 3px !important;
    text-align: center;
}


    .divteethBellow .column img,
    .divteethBellow .column img {
        min-width: 20px;
        height: 30px;
        margin: 0px !important;
    }


    .divteethBellow .column._less,
    #divteethBellow .column._less {
        margin: 0px 3px !important;
    }


.divteethFront .column._less,
.divteethFront .column._less {
    margin: 0px 3px !important;
}


.teeth_gum_name_chart_front .teeth_name_chart_front {
    top: 0px;
}


.teeth_gum_name_chart_bellow .teeth_name_chart_bellow {
    bottom: 9px;
}


.teethChoosing {
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    position: relative;
}


.checkTeeth_label:after {
    background: #2185d0 !important;
    color: white !important;
    border-radius: 4px !important;
}


label.checkTeeth_label:before {
    border: 1px solid #2185d0 !important;
    border-radius: 4px !important;
}


label.checkTeeth_label.notteth:before {
    background: #aaaaaa14 !important;
    border-radius: 4px !important;
    border-color: #ffffff !important;
}


.ellipsis_three_line {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    transition: 0.3s all;
    position: unset !important;
}


.ellipsis_two_line {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    transition: 0.3s all;
    position: unset !important;
    line-height: 1.75 !important;
}


.ellipsis_one_line {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-inline-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    transition: 0.3s all;
    position: unset !important;
    vertical-align: bottom;
}


.item.vt_info {
    height: 35px;
}


#contextWrap > .left.sidebar.vertical.thin .item.vt_info {
    padding: 0.2em 5px !important;
}


    #contextWrap > .left.sidebar.vertical.thin .item.vt_info #copyright {
        color: transparent;
    }


        #contextWrap > .left.sidebar.vertical.thin .item.vt_info #copyright:before {
            content: "VT ©";
            color: white;
        }


#contextWrap > .left.sidebar.vertical.thin .item.vt_check {
    padding-bottom: 8px !important;
    margin-right: 7px !important;
}


.header_form_page .header_form_main {
    display: inline-block;
    position: relative;
    transform: translateX(-50%);
    left: 50%;
    opacity: 0;
    transition: 0.3s;
    height: 0;
    padding: 0 !important;
    margin: 0;
    display: none;
}


.header_form_page .header_form_child {
    opacity: 0;
    transition: 0.3s;
    height: 0;
    display: none !important;
    padding: 0;
}


.header_form_page.toggle {
    margin-bottom: 5px;
    height: auto;
}


.header_form_page .header_form_main.toggle,
.header_form_page .header_form_main ~ .header_form_child.toggle {
    opacity: 1;
    height: unset;
    padding: 4px 0px 8px 0px;
    display: block !important;
}


#DetailModalPopup {
    z-index: 1001;
}


#DetailModalTodoChangeStatus, #DetailModalLaboChangeStatus {
    z-index: 1000;
}

@media only screen and (max-width:900px) {

    #DetailModalTodoChangeStatus, #DetailModalLaboChangeStatus, #LaboDetailAddArea {
        min-width: unset !important;
        width: 100% !important;
        left: 0 !important;
    }
}


.button_back_top.show,
.button_scroll_table.show {
    opacity: 0.1;
    z-index: 1111;
}


tbody.bodyfilterunique > tr > td {
    padding: 0 !important;
}


    tbody.bodyfilterunique > tr > td input.form-control:focus {
        box-shadow: none !important;
    }


/*#region Table selected */

table.vt-table tr.active {
    background-color: hsl(0deg 0% 57% / 9%) !important;
    box-shadow: none !important;
}


/*#endregion */
.progressper {
    opacity: 0 !important;
}


.sercu {
    -webkit-text-security: disc;
}




.icon-hover {
    display: inline-flex;
    width: 28px;
    height: 28px;
    border-radius: 50%;
    transition: background 0.3s ease-in-out;
    cursor: pointer;
    position: relative;
    text-align: center;
    justify-content: center;
    align-items: center;
}


    .icon-hover:hover {
        background: rgba(var(--bs-primary), 0.8) !important;
    }


        .icon-hover:hover i {
            color: white !important;
            opacity: 1 !important;
        }


.dropdown-money {
    min-width: 65px !important;
    max-width: 65px !important;
}


.ui.search.selection.dropdown.dropdown-money .menu {
    min-width: 80px;
}


body.swal2-shown:not(.swal2-no-backdrop):not(.swal2-toast-shown) {
    height: 100vh !important;
    overflow: overlay !important;
    padding-right: 0 !important;
}


.row-add {
    animation: rowNew 0.2s ease-in-out;
}



@keyframes rowNew {
    from {
        opacity: 0;
        transform: translateX(-30px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}


input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0px 1000px white inset;
}


.field.error input:-webkit-autofill,
.field.error input:-webkit-autofill:hover,
.field.error input:-webkit-autofill:focus,
.field.error input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0px 1000px #FFF6F6 inset;
}

#MS_SearchResult .title {
    min-width: 55px;
}

#MS_SearchResult .value {
    letter-spacing: 0.01rem;
}

.bg-primary-soft {
    background: rgba(var(--bs-primary), 0.03);
}



.progress.loading {
    --d: 170px;
    --angle: 170deg;
    position: relative;
}


    .progress.loading .progress-bar {
        height: 100%;
        left: 0;
        position: absolute;
        z-index: 1;
        background: repeating-linear-gradient(var(--angle), rgb(var(--bs-primary)), white, rgb(var(--bs-primary)),white, rgb(var(--bs-primary)) var(--d));
        background-size: calc(var(--d)/sin(var(--angle))) 100%;
        -webkit-animation: ProgressLoading 2s linear infinite reverse;
        animation: ProgressLoading 2s linear infinite reverse;
        margin: 0;
    }


@keyframes ProgressLoading {
    0% {
        background-position: calc(var(--d)/sin(var(--angle))) 0;
    }
}

.text-secondary-light {
    color: rgb(190 195 204) !important;
}
